package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformVideoAgg;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformVideoAggExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformVideoAggMapper {
    long countByExample(ContentPlatformVideoAggExample example);

    int deleteByExample(ContentPlatformVideoAggExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformVideoAgg record);

    int insertSelective(ContentPlatformVideoAgg record);

    List<ContentPlatformVideoAgg> selectByExample(ContentPlatformVideoAggExample example);

    ContentPlatformVideoAgg selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformVideoAgg record, @Param("example") ContentPlatformVideoAggExample example);

    int updateByExample(@Param("record") ContentPlatformVideoAgg record, @Param("example") ContentPlatformVideoAggExample example);

    int updateByPrimaryKeySelective(ContentPlatformVideoAgg record);

    int updateByPrimaryKey(ContentPlatformVideoAgg record);
}